%define module	decorator

%bcond_without test

Summary:	Python decorator utilities
Name:		python-%{module}
Version:	4.4.2
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
Url:		https://pypi.python.org/pypi/decorator/
Source0:	https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(nose)

%description
The aim of the decorator module it to simplify the usage of decorators
for the average programmer, and to popularize decorators by showing
various non-trivial examples. Of course, as all techniques, decorators
can be abused and you should not try to solve every problem with a
decorator, just because you can.

%package -n python3-%{module}
Summary:	Module to simplify usage of decorators in python3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The aim of the decorator module is to simplify the usage of decorators for
the average programmer, and to popularize decorators usage giving examples
of useful decorators, such as memoize, tracing, redirecting_stdout, locked,
etc.  The core of this module is a decorator factory called decorator.

%prep
%setup -q -n %{module}-%{version}

# drop bundled egg-info
rm -rf src/decorator.egg-info/

%build
%py3_build

%install
%py3_install

%check
%if %{with test}
PYTHONPATH=$(pwd)/build/lib %{__python3} setup.py test
%endif

%files -n python3-%{module}
%doc *.txt
%{python3_sitelib}/*


%changelog
* Fri Apr 10 2020 daviddavid <daviddavid> 4.4.2-1.mga8
+ Revision: 1566022
- new version: 4.4.2

* Sun Feb 16 2020 umeabot <umeabot> 4.4.0-3.mga8
+ Revision: 1535297
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 4.4.0-2.mga8
+ Revision: 1451716
- rebuild with python 3.8

* Thu Sep 05 2019 wally <wally> 4.4.0-1.mga8
+ Revision: 1437642
- new version 4.4.0
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 4.3.0-3.mga7
+ Revision: 1349501
- rebuild for python3.7

* Mon Nov 05 2018 tv <tv> 4.3.0-2.mga7
+ Revision: 1328447
- fix upgrade: use %%python_provide

* Tue Oct 02 2018 daviddavid <daviddavid> 4.3.0-1.mga7
+ Revision: 1314570
- new version: 4.3.0
- rename python-decorator to python2-decorator

* Thu Sep 20 2018 umeabot <umeabot> 4.1.2-2.mga7
+ Revision: 1288568
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 guillomovitch <guillomovitch> 4.1.2-1.mga7
+ Revision: 1189325
- new version 4.1.2

* Fri Aug 04 2017 tv <tv> 4.0.9-2.mga7
+ Revision: 1134537
- rebuild for new python

* Thu Apr 14 2016 daviddavid <daviddavid> 4.0.9-1.mga6
+ Revision: 1001549
- new version: 4.0.9
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 12 2015 philippem <philippem> 4.0.6-1.mga6
+ Revision: 909680
- update to 4.0.6

* Sun Oct 11 2015 philippem <philippem> 4.0.4-1.mga6
+ Revision: 889696
- fix docs
- update to 4.0.4

* Thu Oct 08 2015 daviddavid <daviddavid> 3.4.0-10.mga6
+ Revision: 887329
- disable python3 tests (fails with python 3.5)
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0-9.mga5
+ Revision: 741329
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.4.0-8.mga5
+ Revision: 726918
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.4.0-7.mga5
+ Revision: 687960
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.4.0-6.mga5
+ Revision: 628544
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.4.0-5.mga4
+ Revision: 543216
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.4.0-4.mga4
+ Revision: 498355
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 11 2013 philippem <philippem> 3.4.0-3.mga4
+ Revision: 453057
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 3.4.0-2.mga3
+ Revision: 378651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 dams <dams> 3.4.0-1.mga3
+ Revision: 309273
- new version 3.4.0

* Fri Sep 23 2011 lebedov <lebedov> 3.3.2-1.mga2
+ Revision: 147029
- Update to 3.3.2.

* Mon Jul 04 2011 ennael <ennael> 3.3.1-1.mga2
+ Revision: 118279
- remove buildroot
- imported package python-decorator


* Thu Apr 28 2011 Lev Givon <lev@mandriva.org> 3.3.1-1mdv2011.0
+ Revision: 660079
- Update to 3.3.1.

* Mon Jan 03 2011 Lev Givon <lev@mandriva.org> 3.3.0-1mdv2011.0
+ Revision: 628030
- Update to 3.3.0.

* Sun Nov 28 2010 Lev Givon <lev@mandriva.org> 3.2.1-1mdv2011.0
+ Revision: 602463
- Update to 3.2.1.

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.0-3mdv2011.0
+ Revision: 592309
- rebuild for python 2.7
- replace the obsolete %%py_requires macro and add BR python-devel

* Tue Jul 13 2010 Lev Givon <lev@mandriva.org> 3.2.0-2mdv2011.0
+ Revision: 551374
- Fix file list.
- Update to 3.2.0.

* Tue Sep 08 2009 Lev Givon <lev@mandriva.org> 3.1.2-1mdv2010.0
+ Revision: 434273
- import python-decorator


